package staters

// |@@| C

import (
	"context"
	"gardening/sup/srv/seeders"
)

type GrownStater struct {
	ReadyStater *ReadyStater
	Seeders     *seeders.Seeders
}

const DefaultStage = "default"

func (this *GrownStater) GoToDefaultStage(ctx context.Context) {
	this.GoToStage(ctx, DefaultStage)
}

func (this *GrownStater) GoToStage(ctx context.Context, name string) {
	this.ReadyStater.GoToState(ctx)

	this.Seeders.Seed(ctx)
}
